mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

The keeps track of previously identified objects. When you ask for the ID of an object, the knows whether to return the existing ID, or generate and remember a new ID.

The IDs are unique for the life of the instance. Generally, a life lasts as long as the that created it. Object IDs have meaning only within a given serialized stream, and are used for tracking which objects have references to others within the serialized object graph.

Using a hash table, the retains which ID is assigned to which object. The object references, which uniquely identify each object, are addresses in the runtime garbage-collected heap. Object reference values can change during serialization, but the table is updated automatically so the information is correct.

Object IDs are 64-bit numbers. Allocation starts from one, so zero is never a valid object ID. A formatter can choose a zero value to represent an object reference whose value is null.

Generates IDs for objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` `` To be added: an object of type 'object' To be added: an object of type 'bool&' To be added To be added: an object of type 'long' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` `` To be added: an object of type 'object' To be added: an object of type 'bool&' To be added To be added: an object of type 'long' To be added